
Infrastructure - Bug #1772

gmn-dev getCapabilities() returning file not found

2011-09-03 00:17 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_mn_GMN Estimated time: 0.00 hour

Target version: Sprint-2011.35-Block.5   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

History

#1 - 2011-09-03 00:18 - Rob Nahf

- Category set to d1_mn_GMN

- Assignee set to Roger Dahl

https://gmn-dev.test.dataone.org/mn/node

returns a n html exception instead of a dataone exception (ServiceFailure?)

IOError at /node

[Errno 2] No such file or directory: '/var/local/dataone/mn_generic/service/stores/static/nodeRegistry.xml'

Request Method: GET

Request URL:    https://gmn-dev.test.dataone.org/mn/node

Django Version: 1.3

Exception Type: IOError

Exception Value:

[Errno 2] No such file or directory: '/var/local/dataone/mn_generic/service/stores/static/nodeRegistry.xml'

Exception Location: /var/local/dataone/mn_generic/service/../service/mn/views.py in node, line 341

#2 - 2011-09-04 16:47 - Roger Dahl

- Status changed from New to Closed

I had neglected to copy the static Node document over to the server and, because GMN is running in debug mode on the test machines, it returned a

Django exception page instead of a DataONE generic ServiceFailure. I've also improved the error message on the ServiceFailure for this situation.
